package dev.kaderli.magsend.model

/**
 * A simple data class that takes a value and stores it together with the
 * current timestamp.
 */
data class Sample<T>(val value: T) {
  val timestamp: Long = System.currentTimeMillis()

  override fun toString(): String {
    return value.toString()
  }
}
